Subject: Re: Psql meta-command conninfo+

From: Alvaro Herrera <[email-masked]>
Date: Tue, 25 Feb 2025 22:18:47 +0100

On 2025-Feb-22, Alvaro Herrera wrote:

> Also, there's a bunch of "(char *)" casts that are 100% due to
> printTableAddCell() taking a char * instead of const char * for the cell
> value.  That seems a bit silly, we should change that.

Ah, but the problem is that most of the input cells there come from
PQgetValue which returns a char *, so we'd need different casts
elsewhere.  Nevermind this ...

-- 
Álvaro Herrera         PostgreSQL Developer  —  https://www.EnterpriseDB.com/
"Having your biases confirmed independently is how scientific progress is
made, and hence made our great society what it is today" (Mary Gardiner)